import dynamix_sdk.base as _base


class CloudapiComputeDiskDelResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeDiskDelProtocol(_base.BasePostAPIFunctionProtocol):
    def disk_del(
        self,
        *,
        vm_id: int,
        disk_id: int,
        permanently: bool = True,
    ) -> CloudapiComputeDiskDelResultBool:
        ...
